# smbautomount

Automount SMB shares as a user on startup with a systemd unit. 

## Setup

1. Copy these files in your user directory ; e.g: `git clone https://forge.chapril.org/ABelliqueux/smbautomount.git .`  
2. Set execution bit on scripts : `chmod +x .local/bin/multimount.sh && chmod +x .local/bin/mount-share.sh`
3. Install and enable systemd service as a user :  
```
systemctl --user daemon-reload
systemctl --user enable gio-mount-myshares.service
systemctl --user start gio-mount-myshares.service
```

## Credits

'mount-share.sh' is based on https://root.nix.dk/en/utility-scripts/mount-samba-share-as-user by @linux-aarhus 
